'use strict';

// DIRECTIVES
angular.module(_DIRECTIVES_, [])
	.directive('compile', function ($compile) {
	    // directive factory creates a link function
	    return function (scope, element, attrs) {
	        scope.$watch(
				function (scope) {
				    // watch the 'compile' expression for changes
				    return scope.$eval(attrs.compile);
				},
				function (value) {
				    // when the 'compile' expression changes
				    // assign it into the current DOM
				    element.html(value);

				    // compile the new DOM and link it to the current
				    // scope.
				    // NOTE: we only compile .childNodes so that
				    // we don't get into infinite loop compiling ourselves
				    $compile(element.contents())(scope);
				}
			);
	    };
	})
	.directive('a', function () {
	    return {
	        restrict: 'E',
	        link: function (scope, element, attrs) { }
	    };
	})
	.directive('backBtn', function ($window) {
	    return {
	        restrict: 'E',
	        replace: true,
	        template: '<a title="{{title}}" class="icon-back" ng-click="back();"><i class="fa fa-chevron-left"></i></a>',
	        scope: {
	            title: '@title'
	        },
	        link: function (scope, element, attrs) {
	            scope.back = function () {
	                $window.history.back();
	                return false;
	            };
	        }
	    };
	})
	.directive('appVersion', ['version', function (version) {
	    return function (scope, elm, attrs) {
	        elm.text(version);
	    };
	}]);
