'use strict';

// FILTERS
angular.module(_FILTERS_, [])
	.filter('interpolate', ['version', function(version) {
		return function(text) {
			return String(text).replace(/\%VERSION\%/mg, version);
		};
	}])
	.filter('listfilter', function() {
		return function(items, searchStr) {
			if(!searchStr){
				return items;
			}

			var filtered = []; 
			var regex = new RegExp(".*" + searchStr.replace(' ', '|') + ".*", "ig");
			angular.forEach(items, function(item) {
				angular.forEach(item.tags, function(tag) {
					if(regex.test(tag)){
						filtered.push(item);
					}
				});
			});
			return filtered;
		};
	});